Skip to main content

BlockResults

GET

Retrieves the execution results at the specified block height. Returns the latest block results if height is omitted.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Query Parameters
heightstring
Target block height.
Responses
jsonrpcstringrequired
idintegerrequired
heightstring
total_gas_usedstring
codestring
datastring
logstring
infostring
gas_wantedstring
gas_usedstring
typestring
keystring
valuestring
indexboolean
codespacestring
typestring
keystring
valuestring
indexboolean
typestring
keystring
valuestring
indexboolean
typestring
valuestring
powerstring
max_bytesstring
max_gasstring
time_iota_msstring
max_agestring
pub_key_typesarray
cURL
curl -X GET 'https://rpc-celestia-mainnet.nodit.io/block_results?height=1' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'